%global debug_package %{nil}

Name:       openvpn-cred-management
Version:    0.0.git.34.43fcd937
Release:    1%{?dist}
Summary:    A wrapper around easy-rsa for personal convenience.
License:    MIT
URL:        https://github.com/cyqsimon/openvpn-cred-management
VCS:        git+https://github.com/cyqsimon/openvpn-cred-management.git#43fcd937405991a827697ac4f25bbc8cd9138f8c:
Source:     openvpn-cred-management-43fcd937.tar.gz

Requires:       easy-rsa
BuildRequires:  gcc

%description
A wrapper around easy-rsa for personal convenience.
Not tested whatsoever so you probably shouldn't use it.

%prep
%setup -T -b 0 -q -n openvpn-cred-management

# use latest stable version from rustup
curl -Lf "https://sh.rustup.rs" | sh -s -- --profile minimal -y

%build
source ~/.cargo/env
cargo build --release

%install
install -Dpm 755 target/release/%{name} %{buildroot}%{_bindir}/%{name}

%files
%license LICENSE
%{_bindir}/%{name}

%changelog
